org.apache.tinkerpop.gremlin.structure

## Class VariablesTest.VariableAsMapTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VariablesTest.VariableAsMapTest

- Enclosing class:
    VariablesTest

      public static class VariablesTest.VariableAsMapTest
      extends AbstractGremlinTest

  Ensure that the `Graph.Variables.asMap()` method returns some basics. Other tests will enforce that all types are properly covered in `Graph.Variables`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableAsMapTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldHoldVariableInteger()`
    `void` | `shouldHoldVariableLong()`
    `void` | `shouldHoldVariableMixed()`
    `void` | `shouldHoldVariableNone()`
    `void` | `shouldHoldVariableString()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableAsMapTest

          public VariableAsMapTest()

  - ### Method Detail

    - #### shouldHoldVariableNone

          public void shouldHoldVariableNone()

    - #### shouldHoldVariableString

          public void shouldHoldVariableString()

    - #### shouldHoldVariableInteger

          public void shouldHoldVariableInteger()

    - #### shouldHoldVariableLong

          public void shouldHoldVariableLong()

    - #### shouldHoldVariableMixed

          public void shouldHoldVariableMixed()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.